# PasswordCredentials

interface PasswordCredentials : Credentials

A username/password credentials that can be used to login to something protected by a username and password.

#### Since

3.5

#### Inheritors

HttpBuildCacheCredentials
PasswordCredentials

## Functions

getPassword
Link copied to clipboard
@Nullable
abstract fun getPassword(): @Nullable String
Returns the password to use when authenticating.
getUsername
Link copied to clipboard
@Nullable
abstract fun getUsername(): @Nullable String
Returns the user name to use when authenticating.
setPassword
Link copied to clipboard
abstract fun setPassword(@Nullable password: @Nullable String)
Sets the password to use when authenticating.
setUsername
Link copied to clipboard
abstract fun setUsername(@Nullable userName: @Nullable String)
Sets the user name to use when authenticating.